"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ErrorUtilities = void 0;

var _TypeUtils = require("./TypeUtils");

class ErrorUtilities {
  static isNativeError(error) {
    if (error == null) return false;
    if (typeof error !== 'object') return false;
    if (!_TypeUtils.TypeUtils.hasKey('code', error)) return false;
    if (!_TypeUtils.TypeUtils.hasKey('domain', error)) return false;
    if (!_TypeUtils.TypeUtils.hasKey('message', error)) return false;
    if (typeof error.code !== 'string') return false;
    if (typeof error.domain !== 'string') return false;
    if (typeof error.message !== 'string') return false;
    return true;
  }

}

exports.ErrorUtilities = ErrorUtilities;
;
//# sourceMappingURL=ErrorUtilities.js.map